#
# Simple Reflective DLL build spec
#

x86:
	# load our x86 .o file AND turn it into position-independent code
	load "bin/loader.x86.o"
		make pic

		# load our Reflective DLL argument AND link it into our PIC as my_data section
		push $DLL
			link "my_data"

		# load our free() PICO
		load "bin/free.x86.o"
			make object
			export
			link "my_bof"
	
		# we're done, export the final blob
		export

x64:
	load "bin/loader.x64.o"
		make pic

		push $DLL
			link "my_data"

		load "bin/free.x64.o"
			make object
			export
			link "my_bof"
	
		export
